## org.gnu.gdk
Class InputCondition

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gdk.InputCondition

public class InputCondition
extends Flags

Field Summary
`static InputCondition` `EXCEPTION`
`static InputCondition` `READ`
`static InputCondition` `WRITE`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`InputCondition` `and(InputCondition other)`
`static InputCondition` `intern(int value)`
`InputCondition` `or(InputCondition other)`
`boolean` `test(InputCondition other)`
`InputCondition` `xor(InputCondition other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READ

    public static final InputCondition READ

### WRITE

    public static final InputCondition WRITE

### EXCEPTION

    public static final InputCondition EXCEPTION

Method Detail

### intern

    public static InputCondition intern(int value)

### or

    public InputCondition or(InputCondition other)

### and

    public InputCondition and(InputCondition other)

### xor

    public InputCondition xor(InputCondition other)

### test

    public boolean test(InputCondition other)